SoActionMethodList(3)

NAME
SoActionMethodList - The SoActionMethodList class contains function pointers for action methods.

SYNOPSIS

#include <Inventor/lists/SoActionMethodList.h>

Inherits SbPList.

  Public Member Functions
SoActionMethodList (SoActionMethodList *const parentlist)
~SoActionMethodList ()
SoActionMethod & operator[] (const int index)
void addMethod (const SoType node, const SoActionMethod method)
void setUp (void)
Public Member Functions inherited from SbPList
SbPList (const int sizehint=DEFAULTSIZE)
SbPList (const SbPList &l)
~SbPList ()
void copy (const SbPList &l)
SbPList & operator= (const SbPList &l)
void fit (void)
void append (void *item)
int find (const void *item) const
void insert (void *item, const int insertbefore)
void removeItem (void *item)
void remove (const int index)
void removeFast (const int index)
int getLength (void) const
void truncate (const int length, const int fit=0)
void ** getArrayPtr (const int start=0) const
void *& operator[] (const int index) const
int operator== (const SbPList &l) const
int operator!= (const SbPList &l) const
void * get (const int index) const
void set (const int index, void *item)

  Additional Inherited Members
Protected Member Functions inherited from SbPList
void expand (const int size)
int getArraySize (void) const

Detailed Description

The SoActionMethodList class contains function pointers for action methods. An SoActionMethodList contains one function pointer per node type. Each action contains an SoActioMethodList to know which functions to call during scene graph traversal.

Constructor & Destructor Documentation

  SoActionMethodList::SoActionMethodList (SoActionMethodList *const parentlist)
The constructor. The parentlist argument is the parent action's action method list. It can be NULL for action method lists that are not based on inheriting from a parent action.

  SoActionMethodList::~SoActionMethodList ()
Destructor.

Member Function Documentation

  SoActionMethod & SoActionMethodList::operator[] (const int index)
Returns element at index.

Will automatically expand the size of the internal array if index is outside the current bounds of the list. The values of any additional pointers are then set to NULL.

Overloaded from parent to return an SoActionMethod.

See also
    SbPList::operator[]()

  void SoActionMethodList::addMethod (const SoType node, const SoActionMethod method)
Add a function pointer to a node type's action method.

  void SoActionMethodList::setUp (void )
This method must be called as the last initialization step before using the list. It fills in NULL entries with the parent's method.

Author

Generated automatically by Doxygen for Coin from the source code.